﻿#product_single .flex {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
}
#product_single .flex.start {
  justify-content: flex-start;
}
#product_single .flex.end {
  justify-content: flex-end;
}
#product_single .flex.center {
  justify-content: center;
}
#product_single .flex.al_start {
  align-items: flex-start;
}
#product_single .flex.al_end {
  align-items: flex-end;
}
#product_single .flex.al_center {
  align-items: center;
}
#product_single #configurator {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}
#product_single #configurator #configurator_left {
  width: 100%;
  position: relative;
}
@media only screen and (min-width: 767px) and (max-width: 1024px) {
  #product_single #configurator #configurator_left {
    width: 50vw;
  }
}
@media only screen and (min-width: 1024px) {
  #product_single #configurator #configurator_left {
    width: 650px;
  }
}
#product_single #configurator #configurator_left h3 {
  color: #333;
  letter-spacing: 0.01em;
}
#product_single #configurator #configurator_left #configurator_image {
  position: relative;
  margin-top: 30px;
  width: 70vw;
  height: 70vw;
}
@media only screen and (min-width: 767px) and (max-width: 1024px) {
  #product_single #configurator #configurator_left #configurator_image {
    width: 100%;
    height: 50vw;
  }
}
@media only screen and (min-width: 1024px) {
  #product_single #configurator #configurator_left #configurator_image {
    width: 100%;
    height: 650px;
    margin: 30px auto 0;
  }
}
#product_single #configurator #configurator_left #configurator_image img {
  width: 100%;
  max-width: 100%;
  position: absolute;
  top: 0;
  left: 0;
}
#product_single #configurator #configurator_left #another_window {
  margin-top: 30px;
  box-sizing: border-box;
}
@media only screen and (max-width: 767px) {
  #product_single #configurator #configurator_left #another_window {
    position: absolute;
    bottom: 0;
    right: 4vw;
    width: 16vw;
  }
}
#product_single #configurator #configurator_left #another_window .flex {
  justify-content: center;
  align-items: baseline;
  gap: 1em;
  flex-wrap: nowrap;
}
@media only screen and (max-width: 767px) {
  #product_single #configurator #configurator_left #another_window .flex {
    flex-direction: column;
  }
}
#product_single #configurator #configurator_left #another_window .flex figure {
  opacity: 0;
  transition: 0.3s;
}
@media only screen and (min-width: 767px) and (max-width: 1024px) {
  #product_single #configurator #configurator_left #another_window .flex figure {
    width: 160px;
    height: 160px;
    margin: 0 4%;
  }
}
@media only screen and (min-width: 1024px) {
  #product_single #configurator #configurator_left #another_window .flex figure {
    width: 254px;
    height: 254px;
    margin: 0 15px;
  }
}
@media only screen and (max-width: 767px) {
  #product_single #configurator #configurator_left #another_window .flex figure:not(:first-of-type) {
    margin-top: 10px;
  }
}
#product_single #configurator #configurator_left #another_window .flex figure img {
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}
@media only screen and (max-width: 767px) {
  #product_single #configurator #configurator_left #another_window .flex figure img {
    width: 100%;
    height: 16vw;
  }
}
#product_single #configurator #configurator_left #another_window .flex figure figcaption {
  text-align: center;
}
#product_single #configurator #configurator_left #another_window .flex figure.created {
  opacity: 1;
  height: auto;
}
#product_single #configurator #configurator_right {
  width: 100%;
  margin-top: 30px;
}
@media only screen and (min-width: 767px) and (max-width: 1024px) {
  #product_single #configurator #configurator_right {
    width: 39vw;
  }
}
@media only screen and (min-width: 1024px) {
  #product_single #configurator #configurator_right {
    max-width: 320px;
    width: calc(100% - 650px);
    margin-top: 0;
  }
}
#product_single #configurator #configurator_right .color {
  word-break: break-all;
}
#product_single #configurator #configurator_right #configurator_form {
  width: 100%;
  max-height: 650px;
  overflow-y: auto;
  margin-top: 68px;
  padding: 25px 20px;
  background: #F4F4F5;
  border: 1px solid #DDDDDD;
}
#product_single #configurator #configurator_right #configurator_form dl:not(:last-of-type) {
  margin-bottom: 30px;
}
#product_single #configurator #configurator_right #configurator_form dl dd {
  margin: 10px 0 0 0;
}
#product_single #configurator #configurator_right #configurator_form dl dd > span {
  display: block;
  background: #FFF;
}
#product_single #configurator #configurator_right #configurator_form dl dd > span:not(:last-of-type) {
  margin-bottom: 3px;
}
#product_single #configurator #configurator_right #configurator_form .color_select {
  margin-top: 30px;
}
#product_single #configurator #configurator_right #configurator_form .color_select h3 {
  background: #555555;
  padding: 6px;
  text-align: center;
  color: #FFF;
  font-size: 1em;
}
#product_single #configurator #configurator_right #configurator_form .color_select h3:not(:first-of-type) {
  margin-top: 30px;
}
#product_single #configurator #configurator_right #configurator_form .color_select h4 {
  text-align: left;
  padding-bottom: 6px;
}
#product_single #configurator #configurator_right #configurator_form .color_select .color_systems {
  padding: 10px 0;
}

#product_single #configurator #configurator_right #configurator_form .color_select .color_systems .color_system .colors {
  box-sizing: border-box;
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
}
#product_single #configurator #configurator_right #configurator_form .color_select .color_systems .color_system .colors .color {
  margin: 0;
  padding: 10px 0 10px 50px;
  background: #FFF;
  width: 100%;
  text-align: center;
  box-sizing: border-box;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  position: relative;
  cursor: pointer;
  box-sizing: border-box;
}
#product_single #configurator #configurator_right #configurator_form .color_select .color_systems .color_system .colors .color:not(:last-of-type) {
  margin-bottom: 3px;
  border: 1px solid transparent; 
}
#product_single #configurator #configurator_right #configurator_form .color_select .color_systems .color_system .colors .color:hover:after {
  border-color: var(--primary-color-blue);
}
#product_single #configurator #configurator_right #configurator_form .color_select .color_systems .color_system .colors .color::after, #product_single #configurator #configurator_right #configurator_form .color_select .color_systems .color_system .colors .color::before {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  margin: auto;
}
#product_single #configurator #configurator_right #configurator_form .color_select .color_systems .color_system .colors .color::after {
  left: 12px;
  width: 24px;
  height: 24px;
  border-radius: 50%;
  border: 1px solid #CDD6DD;
  border-radius: 50%;
}
#product_single #configurator #configurator_right #configurator_form .color_select .color_systems .color_system .colors .color::before {
  left: 16px;
  width: 16px;
  height: 16px;
  border-radius: 50%;
  background: var(--primary-color-blue);
  opacity: 0;
}
#product_single #configurator #configurator_right #configurator_form .color_select .color_systems .color_system .colors .color.active {
  border: 1px solid #0066B5;
}
#product_single #configurator #configurator_right #configurator_form .color_select .color_systems .color_system .colors .color.active::before {
  opacity: 1;
}
#product_single #configurator #configurator_right #configurator_form .color_select .color_systems .color_system .colors .color .color_code {
  display: block;
  box-sizing: border-box;
  padding: 10px 20px;
  width: 24px;
  height: 24px;
}
#product_single #configurator #configurator_right #configurator_form .color_select .color_systems .color_system .colors .color .color_name {
  white-space: nowrap;
  width: calc(100% - 60px);
  text-align: left;
  padding-left: 20px;
}
#product_single .selection_wrap {
  position: relative;
  margin-top: 100px;
  text-align: center;
}
#product_single .selection_wrap::after {
  content: "";
  position: absolute;
  top: -80px;
  left: 0;
  right: 0;
  margin: auto;
  background: url("/wp-content/uploads/arrow.svg") no-repeat;
  background-size: contain;
  background-position: center;
  width: 100%;
  height: 60px;
}
#product_single .selection_wrap #selection {
  padding: 2rem;
  border: 4px solid #e4e4e4;
  transition: 0.3s;
  text-align: left;
}
#product_single .selection_wrap #selection.copyed {
  background: #cdd6dd;
}
#product_single .selection_wrap #copy {
  margin-top: 10px;
  background: var(--primary-color-blue);
  color: #FFF;
  text-align: center;
  margin: auto;
  cursor: pointer;
  padding: 0.25em 0.5em;
  display: inline-block;
  margin-top: 0.5em;
  border-radius: 3px;

}
#product_single .selection_wrap #errer {
  color: red;
}
#product_single #configurator_controller input[type=radio] {
  display: none;
}
#product_single #configurator_controller input[type=radio]:checked + label {
  border: 1px solid #0066B5;
}
#product_single #configurator_controller input[type=radio]:checked + label:before {
  opacity: 1;
}
#product_single #configurator_controller label {
  display: block;
  position: relative;
  padding: 14px 10px 14px 44px;
  cursor: pointer;
  border: 1px solid transparent;
}
#product_single #configurator_controller label:hover:after {
  border-color: var(--primary-color-blue);
}
#product_single #configurator_controller label::after, #product_single #configurator_controller label::before {
  position: absolute;
  content: "";
  display: block;
  top: 0;
  bottom: 0;
  margin: auto;
}
#product_single #configurator_controller label::after {
  left: 12px;
  width: 24px;
  height: 24px;
  border-radius: 50%;
  border: 1px solid #CDD6DD;
  border-radius: 50%;
}
#product_single #configurator_controller label::before {
  left: 16px;
  width: 16px;
  height: 16px;
  border-radius: 50%;
  background: var(--primary-color-blue);
  opacity: 0;
}
#product_single #configurator_form {
  overflow-y: scroll;
  -ms-overflow-style: none;
  /* 支援 IE, Edge */
  scrollbar-width: none;
  /* 支援 Firefox */
}
#product_single #configurator_form::-webkit-scrollbar {
  /* 支援 Chrome, Safari */
  display: none;
}
#product_single #configurator_form::before {
  background: #ffffff;
  border-radius: 0;
  width: 5px;
  margin-left: 3px;
  margin-top: 2px;
}
#product_single #configurator_form .simplebar-scrollbar::before {
  background: #3B4043;
  border-radius: 7px;
}
#product_single #configurator_form .simplebar-scrollbar.simplebar-visible::before {
  opacity: 1;
}
#product_single #configurator_form .simplebar-track {
  background: #DEDEDE;
  width: 15px !important;
}
@media only screen and (min-width: 767px) and (max-width: 1024px) {
  #product_single {
    padding: 30px 4vw 100px;
  }
}
